"use client";
'use strict';

const jsxRuntime = require('react/jsx-runtime');
const reactErrorBoundary = require('react-error-boundary');

function ErrorBoundary({
  children,
  FallbackComponent,
  resetKeys,
  onError
}) {
  return /* @__PURE__ */ jsxRuntime.jsx(
    reactErrorBoundary.ErrorBoundary,
    {
      FallbackComponent,
      onError,
      resetKeys,
      children
    }
  );
}

exports.ErrorBoundary = ErrorBoundary;
